var gulp = require("gulp");
var browserSync = require("browser-sync").create();
var babel = require("gulp-babel");
var uglify = require("gulp-uglify");
var sass = require("gulp-sass");
var jade = require("gulp-jade");

gulp.task("serve", ["sass", "jade", "es6"], function() {

   browserSync.init({
       server: "./dist",
   });

   gulp.watch("src/js/**/*.js", ["es6"]);
   gulp.watch("src/scss/**/*.s*ss", ["sass"]);
   gulp.watch("src/jade/**/*.jade", ["jade"]);
   gulp.watch("src/jade/**/*.jade").on("change", browserSync.reload);

});

gulp.task("es6", function() {
 
   gulp.src("src/es6/*.js")
       .pipe(babel({presets: ["es2015"]}))
       .pipe(uglify())
       .pipe(gulp.dest("dist/js"))
       .pipe(browserSync.stream());
    
});

gulp.task("sass", function() {

    return gulp.src("src/scss/*.sass")
               .pipe(sass())
               .pipe(gulp.dest("dist/css"))
               .pipe(browserSync.stream())

});

gulp.task("jade", function() {

    gulp.src("src/jade/*.jade")
        .pipe(jade())
        .pipe(gulp.dest("dist"))

});

gulp.task("default", ["serve"]);
